import { OnInit, EventEmitter, SimpleChanges, OnChanges, TemplateRef } from '@angular/core';
import { BsModalRef } from 'ngx-bootstrap/modal/bs-modal-ref.service';
import { BsModalService } from 'ngx-bootstrap/modal';
import { TestData, CurrentData, TestProgress, NavigationType } from '../../../shared/models/index';
import { InstanceData } from '../../../shared/models/index';
import { Navigation } from '../../../shared/models/index';
import { TestModeSettings } from '../../../shared/models/index';
import { TestEngineFeatures } from '../../../shared/models/index';
import { QuizService } from '../../../shared/service/quiz.service';
export declare class FooterComponent implements OnInit, OnChanges {
    private modalService;
    private quizService;
    modalRef: BsModalRef;
    showAnswer: boolean;
    currentQuestionIndex: number;
    testModeSettings: TestModeSettings;
    testEngineFeatures: TestEngineFeatures;
    quizSubmitMessage: string;
    navigation: typeof Navigation;
    testData: TestData;
    instanceData: InstanceData;
    navigationType: number;
    navigationTypes: typeof NavigationType;
    userAnswer: any;
    itemData: CurrentData;
    testProgress: TestProgress;
    disableNav: boolean;
    questionChanged: EventEmitter<any>;
    showAnswerStatus: EventEmitter<any>;
    clearResponseEmitter: EventEmitter<any>;
    constructor(modalService: BsModalService, quizService: QuizService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    setItemDetails(): void;
    nextOrPreviousItem(navigation: any): void;
    showHideStatus(status: any): void;
    clearResponse(): void;
    submitQuiz(): void;
    openSubmitModel(template: TemplateRef<any>): void;
    isFeatureDisabed(feature: any): boolean;
}
